import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudbrokerAccountUpdateComputeFeaturesResultBool(
    _base.BaseAPIResultBool,
):
    pass


class CloudbrokerAccountUpdateComputeFeaturesProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def update_compute_features(
        self,
        *,
        account_id: int,
        vm_features: list[_nested.VMFeature] | None = None,
    ) -> CloudbrokerAccountUpdateComputeFeaturesResultBool:
        ...
